# fflags and machine dependent part
include make.flags

#makefile for short and longit vers 8:

all:  short8.x long8.x long8a.x secre8.x

LIB8V=  coord.o coocha.o genio7.o angcou.o headio.o jdayconv.o ioelem.o astnam.o flush.o

short8.x:short8.o shosub.o ioshot0.o ioshova.o lcder.o dercor8.o \
	kepdel.o integr.o $(LIB8V)
	$(FC) $(FFLAGS) short8.o shosub.o ioshot0.o ioshova.o \
	lcder.o dercor8.o kepdel.o integr.o $(LIB8V) -o short8.x

long8.x:long8.o iterat8.o inte8.o selre8.o iolon8.o subs8.o secthe8.o \
	terms7.o lly683.o headio.o genio7.o opt8.o astnam.o
	$(FC) $(FFLAGS) long8.o iterat8.o inte8.o selre8.o iolon8.o \
	subs8.o secthe8.o terms7.o lly683.o headio.o genio7.o \
	opt8.o astnam.o  -o long8.x

long8a.x:long8.o iterat8.o inte8.o selre8.o iolon8.o subs8.o secthe8.o \
	terms7.o lly76.o headio.o genio7.o opt8a.o astnam.o
	$(FC) $(FFLAGS) long8.o iterat8.o inte8.o selre8.o iolon8.o \
	subs8.o secthe8.o terms7.o lly76.o headio.o genio7.o \
	opt8a.o astnam.o  -o long8a.x

secre8.x: secre8.o gridsel.o subs8.o secthe8.o lly76.o opt8.o 
	$(FC) $(FFLAGS) secre8.o gridsel.o subs8.o secthe8.o \
	lly76.o opt8.o  -o secre8.x

secre7.x: secre7.o gridsel.o subs68.o secthe70.o lly683.o \
	opt71.o 
	$(FC) $(FFLAGS) secre7.o gridsel.o subs68.o secthe70.o \
	lly683.o opt71.o  -o secre7.x

formconv.x: formconv.o genio7.o astnam.o
	$(FC) $(FFLAGS) formconv.o genio7.o astnam.o -o formconv.x

# DOS .for versions

short8.for: short8.f shosub.f ioshot0.f ioshova.f lcder.f dercor8.f \
	kepdel.f integr.f coord.f coocha.f genio7.f angcou.f headio.f \
	jdayconv.f ioelem.f astnam.f flush.f
	-(rm short8.for)
	cat short8.f shosub.f ioshot0.f ioshova.f lcder.f dercor8.f \
	kepdel.f integr.f coord.f coocha.f genio7.f angcou.f headio.f \
	jdayconv.f ioelem.f astnam.f flush.f > short8.for

long8.for: long8.f iterat8.f inte8.f selre8.f iolon8.f subs8.f secthe70.f \
	terms7.f lly683.f headio.f genio7.f opt8.f astnam.f
	-(rm long8.for)
	cat long8.f iterat8.f inte8.f selre8.f iolon8.f subs8.f secthe70.f \
	terms7.f lly683.f headio.f genio7.f opt8.f astnam.f > long8.for

long8a.for: long8.f iterat8.f inte8.f selre8.f iolon8.f subs8.f secthe8.f \
	terms7.f lly76.f headio.f genio7.f opt8a.f astnam.f
	-(rm long8.for)
	cat long8.f iterat8.f inte8.f selre8.f iolon8.f subs8.f secthe8.f \
	terms7.f lly76.f headio.f genio7.f opt8a.f astnam.f > long8a.for

secre8.for: secre8.f gridsel.f subs8.f secthe8.f lly76.f opt8.f
	-(rm secre8.for)
	cat secre8.f gridsel.f subs8.f secthe8.f lly76.f opt8.f \
	> secre8.for

secre7.for: secre7.f gridsel.f subs68.f secthe70.f lly683.f opt71.f
	-(rm secre7.for)
	cat secre7.f gridsel.f subs68.f secthe70.f lly683.f opt71.f \
	> secre7.for
 

# utilities

clean:
	rm -f *.x *.o *.mod core a.out *~ #*# mon.out

purge:
	rm -f  *.o *.mod core a.out *~ #*# mon.out

# makefile generation and machine-dependencies handling

config.IBM: 
	cp ff/fflags.IBM.opt fflags.opt
	cp ff/fflags.IBM.deb fflags.deb
	cp ff/fflags.IBM.prof fflags.prof

config.ALPHA: 
	cp ff/fflags.ALPHA.opt fflags.opt
	cp ff/fflags.ALPHA.deb fflags.deb
	cp ff/fflags.ALPHA.prof fflags.prof

config.HP: 
	cp ff/fflags.HP.opt fflags.opt
	cp ff/fflags.HP.deb fflags.deb

config.SUN: 
	cp ff/fflags.SUN.opt fflags.opt
	cp ff/fflags.SUN.deb fflags.deb

config.MIPS: fflags.MIPS.opt fflags.MIPS.deb
	cp ff/fflags.MIPS.opt fflags.opt
	cp ff/fflags.MIPS.deb fflags.deb

config.PC90:
	cp ff/fflags.PC90.opt fflags.opt
	cp ff/fflags.PC90.deb fflags.deb

config.PC77:
	cp ff/fflags.PC77.opt fflags.opt
	cp ff/fflags.PC77.deb fflags.deb

makefile.deb: fflags.deb 
	cp fflags.deb make.flags

makefile.opt: fflags.opt 
	cp fflags.opt make.flags

makefile.prof: fflags.prof
	cp fflags.prof make.flags

distribution: clean
	-(rm vers8.tar.Z)
	tar -cvf ../vers8.tar .
	mv ../vers8.tar .
	gzip vers8.tar

test: short8.x long8.x
	cp tests/short8.opt .
	time short8.x
	diff snum94.mea tests
	diff snum94.rem tests
	cp tests/long8.opt .
	time long8.x
	diff snum94.pro tests
	diff snum94.ang tests
	diff snum94.dis tests
	diff snum94.adi tests
	diff snum94.res tests

# dependencies

mkdep.x : mkdep.c
	cc  mkdep.c -o mkdep.x

mkdep : mkdep.x
	- (rm make.dep)
	\ls *.f *.h | mkdep.x >make.dep

include make.dep
